<?php
/**
 * @package board start date
 * @version 
 * @copyright (c) 2012 RMcGirr83
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 */
/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * board_start_date
 *
 * @return the start date of the board and time in years, months and days
 *
*/
function board_start_date ()
{
	global $config, $user;
	
	$board_length = time() - $config['board_startdate'];
	$byears = $bmonths = $bdays = 0;
	$board_for = '';
	if ($board_length)
	{
		if ($board_length >= 31536000)
		{
			$byears = floor($board_length / 31536000);
			$board_length = $board_length - ($byears * 31536000);
			$board_for .= $byears > 1 ? ($byears . ' ' . $user->lang['BOARD_YEARS']) : ($byears . ' ' . $user->lang['BOARD_YEAR']);
		}
		$bsmonths = floor($board_length / 2628000);
		if ($bsmonths)
		{
			$bsep = !empty($byears) ? $user->lang['COMMA_SEPARATOR'] : '';
			$bmonths = $bsmonths > 1 ? ($bsep . $bsmonths . ' ' . $user->lang['BOARD_MONTHS']) : ($bsep . $bsmonths . ' ' . $user->lang['BOARD_MONTH']);
			$board_length = $board_length - ($bsmonths * 2628000);
			$board_for .= $bmonths;
		}
		$bsdays = ceil($board_length / 86400);
		if ($bsdays)
		{
			$band = !empty($bsmonths) ? '&nbsp;' . $user->lang['BOARD_AND'] . '&nbsp;': '';
			$bdays = $bsdays > 1 ? ($band . $bsdays . ' ' . $user->lang['BOARD_DAYS']) : ($band . $bsdays . ' ' . $user->lang['BOARD_DAY']);
			$board_for .= $bdays;
		}
	}

	return ($board_for);
}

?>