<?php
/**
*
* @package board start date
* @version $Id$
* @copyright (c) 2011 RMcGirr83 (Rich McGirr)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * This hook displays a date of when the board was first "born"
 *
 * @param hook_bsd $hook
 * @return void
 */
function hook_bsd(&$hook)
{
	global $config, $template, $user;
	global $phpbb_root_path, $phpEx;

	$page_name = substr($user->page['page_name'], 0, strpos($user->page['page_name'], '.'));
	// check the users page
	if($page_name == 'index')
	{
		$user->add_lang('mods/board_start_date');
		
		if (!function_exists('board_start_date'))
		{
			include($phpbb_root_path . 'includes/functions_board_start_date.' . $phpEx);
		}

		$start_date = $user->format_date($config['board_startdate']);
		$board_for = board_start_date();

		$template->assign_vars(array(	
			'BOARD_START_DATE'	=> sprintf($user->lang['BOARD_START_DATE'], $start_date, $board_for))
		);
	}
}

/**
 * Only register the hook for normal pages, not administration pages.
 */
if (!defined('ADMIN_START'))
{
	$phpbb_hook->register(array('template', 'display'), 'hook_bsd');
}
